//
// Copyright 2007 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wUploadLocalProcessorPane:
//   Holds output of a p4 fstat command

#include <p4wp4.h>

#include "p4wStrBuf.h"
#include "p4wHtml.h"

#include "p4wPane.h"
#include "p4wUploadLocalProcessorPane.h"


p4wUploadLocalProcessorPane::p4wUploadLocalProcessorPane( p4wView & ParentView, p4wRequest & Request )
	: p4wPane( ParentView, Request )
{
	fClientFile << "";
	fErrMsg = NULL;
}

p4wUploadLocalProcessorPane::~p4wUploadLocalProcessorPane()
{
}



// -------------------------------------
// Render functions.
//
void p4wUploadLocalProcessorPane::Begin()
{
}

void p4wUploadLocalProcessorPane::Render( StrDict * varList )
{
	StrPtr * action = varList->GetVar( "action" );
	if( action && (*action == "edit" || *action == "add") )
	{
		StrPtr *ptr = varList->GetVar( "clientFile" );
		if (ptr)
			fClientFile << ptr;
		ptr = varList->GetVar( "type" );
		if (ptr)
			fType << ptr;
	}
	else
		fErrMsg = "File is no longer open for Edit or Add.";
}

void p4wUploadLocalProcessorPane::End()
{
}

void p4wUploadLocalProcessorPane::RenderInfo( char *data, char level )
{
}
